

# UpdateInput
<a name="API_UpdateInput"></a>

**Important**  
End of support notice: On May 20,2026, AWS will end support for AWS IoT Events. After May 20,2026, you will no longer be able to access the AWS IoT Events console or AWS IoT Events resources. For more information, see [AWS IoT Events end of support](https://docs.aws.amazon.com/iotevents/latest/developerguide/iotevents-end-of-support.html). 

Updates an input.

## Request Syntax
<a name="API_UpdateInput_RequestSyntax"></a>

```
PUT /inputs/inputName HTTP/1.1
Content-type: application/json

{
   "inputDefinition": { 
      "attributes": [ 
         { 
            "jsonPath": "string"
         }
      ]
   },
   "inputDescription": "string"
}
```

## URI Request Parameters
<a name="API_UpdateInput_RequestParameters"></a>

The request uses the following URI parameters.

 ** [inputName](#API_UpdateInput_RequestSyntax) **   <a name="iotevents-UpdateInput-request-uri-inputName"></a>
The name of the input you want to update.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `^[a-zA-Z][a-zA-Z0-9_]*$`   
Required: Yes

## Request Body
<a name="API_UpdateInput_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [inputDefinition](#API_UpdateInput_RequestSyntax) **   <a name="iotevents-UpdateInput-request-inputDefinition"></a>
The definition of the input.  
Type: [InputDefinition](API_InputDefinition.md) object  
Required: Yes

 ** [inputDescription](#API_UpdateInput_RequestSyntax) **   <a name="iotevents-UpdateInput-request-inputDescription"></a>
A brief description of the input.  
Type: String  
Length Constraints: Maximum length of 1024.  
Required: No

## Response Syntax
<a name="API_UpdateInput_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "inputConfiguration": { 
      "creationTime": number,
      "inputArn": "string",
      "inputDescription": "string",
      "inputName": "string",
      "lastUpdateTime": number,
      "status": "string"
   }
}
```

## Response Elements
<a name="API_UpdateInput_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [inputConfiguration](#API_UpdateInput_ResponseSyntax) **   <a name="iotevents-UpdateInput-response-inputConfiguration"></a>
Information about the configuration of the input.  
Type: [InputConfiguration](API_InputConfiguration.md) object

## Errors
<a name="API_UpdateInput_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
An internal failure occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request was invalid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceInUseException **   
The resource is in use.    
 ** message **   
The message for the exception.
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The resource was not found.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is currently unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The request could not be completed due to throttling.    
 ** message **   
The message for the exception.
HTTP Status Code: 429

## See Also
<a name="API_UpdateInput_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iotevents-2018-07-27/UpdateInput) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iotevents-2018-07-27/UpdateInput) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iotevents-2018-07-27/UpdateInput) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iotevents-2018-07-27/UpdateInput) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iotevents-2018-07-27/UpdateInput) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iotevents-2018-07-27/UpdateInput) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iotevents-2018-07-27/UpdateInput) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iotevents-2018-07-27/UpdateInput) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iotevents-2018-07-27/UpdateInput) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iotevents-2018-07-27/UpdateInput) 